﻿@model IEnumerable<MovieDBsite.Models.Movie>

@{
    ViewBag.Title = "Index";
}

<br />
@using (Html.BeginForm())
        {
<label class="checkbox-inline">
    <input id="CheckboxComedy" name="CheckboxComedy" type="checkbox" /> Comedy<br />
</label>
<label class="checkbox-inline">
    <input id="CheckboxScyFy" name="CheckboxScyFy" type="checkbox" /> Science fiction<br />
</label>
<label class="checkbox-inline">
    <input id="CheckboxCartoon" name="CheckboxCartoon" type="checkbox" /> Cartoon<br />
</label>
<label class="checkbox-inline">
    <input id="CheckboxHorror" name="CheckboxHorror" type="checkbox" /> Horror<br />
</label>
<label class="checkbox-inline">
    <input id="CheckboxFantasy" name="CheckboxFantasy" type="checkbox" /> Fantasy<br />
</label>
<br />
<div>
    <h5> Insert Title:</h5>
    <input id="Text1" name="Text1" type="text" />
    <input id="Button1" type="submit" value="Search" />
</div>

}
<hr />

<h2>Movies</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Year)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Description)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Rating)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.MovieCategory.Name)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Year)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Rating)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.MovieCategory.Name)
            </td>
            <td>
                @*@Html.ActionLink("Edit", "Edit", new { id = item.Id }) |*@
                @Html.ActionLink("Details", "Details", new { id = item.Id }) @*|*@
                @*@Html.ActionLink("Delete", "Delete", new { id = item.Id })*@
            </td>
        </tr>
    }

</table>
